USBGUARD-NOTIFIER-(1)

NAME
usbguard-notifier-cli - USBGuard Notifier command-line interface

SYNOPSIS

usbguard-notifier [OPTIONS]

DESCRIPTION

USBGuard Notifier CLI is command line application used to display, manage, edit and remove notifications generated by usbguard-notifier.

OPTIONS

-h, --help
    Show help.

COMMANDS

Each command is typed on a line by itself, and may take arguments following the command word. The following commands are provided:

show <allowed | blocked | rejected | inserted | removed | all>
    Shows every single notification based on the given property. If no arguments are given, all option will be applied.

display <id>
    Provides a detailed description about a single notification identified by id.

next <id>
    Moves cursor to the x-th next notification specified by id and applies the display method. If no arguments are given, it will move on to the next notification.

previous <id>
    Moveis cursor to the x-th previous notification specified by id and applies the display method. If no arguments are given, it will move on to the previous notification.

remove <id>
    Removes one or more notifications specified by id. If no arguments are given, removes the actual notification.

help
    Detailed description about each command.

commands
    List of all available commands.

quit
    Terminates the session, saving all undeleted notifications.

NOTE

Please note that each command has a shortcut. To view detailed description about commands and their appropriate shortcuts, as well as parameters type help.

SEE ALSO

usbguard-notifier(1)

BUGS

If you find a bug in this software or if you’d like to request a feature to be implemented, please file a ticket at https://github.com/Cropi/usbguard-notifier/issues/new.

AUTHOR

USBGuard Notifier was written by Zoltán Fridrich and Attila Lakatos.

RESOURCES

Main web site: https://usbguard.github.io/

COPYING

License GPLv2+: GNU GPL version 2 or later http://gnu.org/licenses/gpl.html. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.